aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2018-06-22 17:33:34 +0200
committerJakub Jirutka <jakub@jirutka.cz>2018-06-22 17:30:23 +0200
commit244cc743c4ae2fd0f517b74790674864cb293e9c (patch)
treebbbc41444c48b9a9aa465aedf81f522d5be4b91f
parentb139a8b65c7b12bbbca1baf62fc0bfc7163086c7 (diff)
downloadaports-244cc743c4ae2fd0f517b74790674864cb293e9c.tar.gz
aports-244cc743c4ae2fd0f517b74790674864cb293e9c.tar.bz2
aports-244cc743c4ae2fd0f517b74790674864cb293e9c.tar.xz
main/nodejs: rename subpackage nodejs-npm to npm
npm is bundled in node.js, but it's a standalone project with its own release cycle. This aport provides LTS version of node.js, i.e. an old npm version. So it'd be better to extract it into a separate aport; this is a preparation for that.
-rw-r--r--community/kiwiirc/APKBUILD2
-rw-r--r--main/nodejs/APKBUILD9
-rw-r--r--testing/node-sodium/APKBUILD2
-rw-r--r--testing/zerotier-one/APKBUILD2
4 files changed, 8 insertions, 7 deletions
diff --git a/community/kiwiirc/APKBUILD b/community/kiwiirc/APKBUILD
index f5fef4532d..c6cdde36e3 100644
--- a/community/kiwiirc/APKBUILD
+++ b/community/kiwiirc/APKBUILD
@@ -9,7 +9,7 @@ url="https://www.kiwiirc.com/"
arch="noarch"
license="AGPL-3.0"
depends="nodejs>=0.10.0"
-makedepends="nodejs nodejs-npm"
+makedepends="nodejs npm"
install="$pkgname.pre-install"
subpackages="$pkgname-doc"
pkgusers="kiwiirc"
diff --git a/main/nodejs/APKBUILD b/main/nodejs/APKBUILD
index 7ee47143e0..d0f75be0ae 100644
--- a/main/nodejs/APKBUILD
+++ b/main/nodejs/APKBUILD
@@ -26,7 +26,7 @@ pkgname=nodejs
# Note: Update only to even-numbered versions (e.g. 6.y.z, 8.y.z)!
# Odd-numbered versions are supported only for 9 months by upstream.
pkgver=8.11.3
-pkgrel=0
+pkgrel=1
pkgdesc="JavaScript runtime built on V8 engine - LTS version"
url="https://nodejs.org/"
arch="all"
@@ -36,7 +36,7 @@ depends_dev="libuv"
# gold is needed for mksnapshot
makedepends="$depends_dev python2 openssl-dev zlib-dev libuv-dev linux-headers
paxmark binutils-gold http-parser-dev ca-certificates c-ares-dev"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-npm::noarch"
+subpackages="$pkgname-dev $pkgname-doc npm::noarch"
provides="nodejs-lts=$pkgver" # for backward compatibility
replaces="nodejs-current nodejs-lts" # nodejs-lts for backward compatibility
source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz
@@ -100,8 +100,9 @@ dev() {
npm() {
pkgdesc="A package manager for JavaScript"
depends="$pkgname"
- provides="nodejs-current-npm" # for backward compatibility
- replaces="nodejs-current-npm $pkgname" # $pkgname for backward compatibility
+ # for backward compatibility
+ provides="nodejs-npm=$pkgver-r$pkgrel nodejs-current-npm=$pkgver-r$pkgrel"
+ replaces="nodejs-npm nodejs-current-npm $pkgname"
mkdir -p "$subpkgdir"/usr/bin
mv "$pkgdir"/usr/bin/np[mx] "$subpkgdir"/usr/bin/
diff --git a/testing/node-sodium/APKBUILD b/testing/node-sodium/APKBUILD
index 8d7e72d825..ae6d4ed116 100644
--- a/testing/node-sodium/APKBUILD
+++ b/testing/node-sodium/APKBUILD
@@ -9,7 +9,7 @@ url="https://github.com/paixaop/node-sodium"
arch="x86 x86_64"
license="MIT"
depends="nodejs"
-makedepends="libsodium-dev=1.0.11-r0 python2 nodejs-npm"
+makedepends="libsodium-dev=1.0.11-r0 python2 npm"
source="$pkgname-$pkgver.tar.gz::https://github.com/paixaop/$pkgname/archive/$pkgver.tar.gz
fix-gyp-binding.patch
remove-preinstall.patch
diff --git a/testing/zerotier-one/APKBUILD b/testing/zerotier-one/APKBUILD
index 7fc54b8964..b639d329f2 100644
--- a/testing/zerotier-one/APKBUILD
+++ b/testing/zerotier-one/APKBUILD
@@ -8,7 +8,7 @@ url="https://www.zerotier.com/"
arch="x86_64 ppc64le"
license="GPL-3.0"
depends=""
-makedepends="nodejs-npm linux-headers"
+makedepends="npm linux-headers"
install=""
subpackages="$pkgname-doc"
source="